Class | NonString
In: | prettyprint.rb
Parent: | Test::Unit::TestCase

### Methods

format test_6 test_7

### Public Instance methods

format(width)

[Source]

    # File prettyprint.rb, line 827
        def format(width)
          PrettyPrint.format([], width, 'newline', lambda {|n| "#{n} spaces"}) {|q|
            q.text(3, 3)
            q.breakable(1, 1)
            q.text(3, 3)
          }
        end

test_6()

[Source]

    # File prettyprint.rb, line 835
        def test_6
          assert_equal([3, "newline", "0 spaces", 3], format(6))
        end

test_7()

[Source]

    # File prettyprint.rb, line 839
        def test_7
          assert_equal([3, 1, 3], format(7))
        end

[Validate]